Bug 148360 - custom smileys not disabled when the option "emoticons" is disabled
Summary: custom smileys not disabled when the option "emoticons" is disabled
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: MSN Plugin (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-30 16:01 UTC by firepol
Modified: 2007-10-03 19:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
msnswitchboardsocket.cpp.diff (1.05 KB, patch)
2007-09-30 15:08 UTC, Dennis Nienhüser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description firepol 2007-07-30 16:01:09 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    Gentoo Packages
OS:                Linux

If I go to the "Settings" menu > Appearance > use emoticons > I disable the checkbox.. i still get all the (stupid, spamming, disturbing) CUSTOM emoticons of certain MSN users in my list (I don't want to simply block them, I'm trying to get rid of their custom smileys).

If a user disables emoticons it's for disabling them totally. Please correct this behavior of kopete.

Alternatively (even better) add an option to disable (globally) the custom emoticons. Just in the same (Appearance) menu.

Even better, add a feature to let the user block standard emoticons or custom smileys coming from specific users that abuse them (especially kids).

Like one would press the right-mouse button and select "Block user" it would be really really nice to have an option called "Block user emoticons".

Thank you.
Comment 1 Dennis Nienhüser 2007-09-30 15:08:31 UTC
Created attachment 21718 [details]
msnswitchboardsocket.cpp.diff

Appereance->UseEmoticons is considered as well when retrieving custom
emoticons: Only if emoticons should be used and custom emoticons are enabled,
they will be downloaded and displayed.
Comment 2 Matt Rogers 2007-09-30 15:38:14 UTC
Nice patch. Thanks! :) 

The consts at the beginning are unnecessary, and so I'll remove them before I commit the patch. 
Comment 3 Matt Rogers 2007-10-03 19:46:05 UTC
SVN commit 720776 by mattr:

Fix bug 148360.

Disable custom emoticons when emoticons are disabled from the settings
screen.

Patch by Dennis Nienheuser <earthwings@gentoo.org>
Thanks for the patch!
CCMAIL: earthwings@gentoo.org
BUG: 148360


 M  +6 -2      msnswitchboardsocket.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=720776